Author Topic: Punkbuster installation problem.  (Read 1855 times)

Offline 4peterjan4

  • Rank: Private
  • *
  • Posts: 505
    • http://www.specialforces-clan.com
Punkbuster installation problem.
« on: October 06, 2009, 02:49:54 pm »
Hey All,

I am trying to install punkbuster on my dedicated server for the game Call of Duty : World at War

I am trying to following:

cd /home/games/callofdutywaw

After that

./pbsetup.run -e

Than i am getting this error

Error: Unable to initialize gtk, is DISPLAY set properly?

Hope you can help me out :-)

Greetings Peter-Jan

Offline PatmanSan

  • Administrator
  • Rank: Private
  • *****
  • Posts: 2527
Re: Punkbuster installation problem.
« Reply #1 on: October 06, 2009, 04:53:53 pm »
I'm not a linux expert. Uncle Google gave me this:

root by default is not allowed to access the users display; either run it as a normal user or yield access to the display.
You can run xhost to give root access to your users display and then su to root, and set the DISPLAY variable.

export DISPLAY=":0.0"

If you do echo $DISPLAY before the su, you'll see the value you need.

Offline 4peterjan4

  • Rank: Private
  • *
  • Posts: 505
    • http://www.specialforces-clan.com
Re: Punkbuster installation problem.
« Reply #2 on: October 07, 2009, 08:43:41 am »
Quote from: "PatmanSan";p="30524"
I'm not a linux expert. Uncle Google gave me this:

root by default is not allowed to access the users display; either run it as a normal user or yield access to the display.
You can run xhost to give root access to your users display and then su to root, and set the DISPLAY variable.

export DISPLAY=":0.0"

If you do echo $DISPLAY before the su, you'll see the value you need.

Hi Pat,

I tried it but without good results..

Thanks for your resource.

My dedicated host doesn't even know how to fix haha.

Offline Lothegard

  • Rank: Private
  • *
  • Posts: 960
    • http://www.clan-ssl.se
Re: Punkbuster installation problem.
« Reply #3 on: October 07, 2009, 11:21:12 am »
1. you should run this in your PB folder
./pbsetup.run -l --i-accept-the-pb-eula

this will show your installed games,
Installed Games:
#0 - cod4 "/where/i/uploaded/cod5/" (v2.065 | A1402) (v1.664 | A1402 | C2.065)


2. if there is no servers showing you need to add them
./pbsetup.run --add-game=waw --add-game-path=/where/i/uploaded/cod5/

3. if the server is in the list you can now run
./pbsetup.run -u --i-accept-the-pb-eula

Now you should see a log something like this
pbsetup v2.0
Checking for update...Please Wait
Resolving update servers...
Downloading a new global config file...
Writing new global config file...
Checking PunkBuster EULA...
No new PunkBuster Setup available...
Checking for new PunkBuster versions...
"Call of Duty 4" needs to be updated. Updating now...
- Updating PunkBuster agent for "Call of Duty 4".
"Call of Duty 4" needs to be updated. Updating now...
- Updating PunkBuster agent for "Call of Duty 4".
- Updating PunkBuster server for "Call of Duty 4".
All available updates have been applied.


4. Verify that the update is installed
./pbsetup.run -l --i-accept-the-pb-eula
pbsetup v2.0
Installed Games:
#0 - cod4 "/where/i/uploaded/cod5/" (v2.065 | A1402) (v1.664 | A1402 | C2.065)